<?php

/**
 *
 * @author	ahrasis http://support.ahrasis.com
 * @license	BSD http://opensource.org/licenses/BSD-3-Clause
 * @addon	ROAM: Re-Organize Admin Menu
 *
 */

if (!defined('ELK'))
	die('No access...');

function ROAM_Buttons(&$admin_areas)
{
	global $txt, $modSettings;
	
	// Load Language
	loadLanguage('ROAM/ROAM');

	if (!empty($modSettings['roam_enable'])) {
		
		// Create Modification Section
		$modification = array(
			'modification' => array(
				'title' => $txt['roam_config_rename'],
				'permission' => array('admin_forum'),
				'areas' => array(
				)
			)
		);

		// Then we make two pieces, and insert ours in between the two.
		$first = array_slice($admin_areas, 0, 1);
		$second = array_slice($admin_areas, 1);
		$admin_areas = array_merge($first, $modification, $second);

		// Create Theme Section
		$theme = array(
			'theme' => array(
				'title' => $txt['roam_theme_title'],
				'permission' => array('admin_forum'),
				'areas' => array(
				)
			)
		);
		
		// Then we make two pieces, and insert ours in between the two.
		$third = array_slice($admin_areas, 0, 3);
		$fourth = array_slice($admin_areas, 3);
		$admin_areas = array_merge($third, $theme, $fourth);

		// Pull Reports To Main Section
		if (isset($admin_areas['maintenance']['areas']['reports']))
			$admin_areas['forum']['areas']['reports'] = $admin_areas['maintenance']['areas']['reports'];
		unset($admin_areas['maintenance']['areas']['reports']);
		
		// Now Set And Unset The One That We Moved
		if (isset($admin_areas['config']['areas']['corefeatures']))
			$admin_areas['modification']['areas']['corefeatures'] = $admin_areas['config']['areas']['corefeatures'];
		unset($admin_areas['config']['areas']['corefeatures']);
		if (isset($admin_areas['forum']['areas']['packages']))
			$admin_areas['modification']['areas']['packages'] = $admin_areas['forum']['areas']['packages'];
		unset($admin_areas['forum']['areas']['packages']);
		if (isset($admin_areas['config']['areas']['addonsettings']))
			$admin_areas['modification']['areas']['addonsettings'] = $admin_areas['config']['areas']['addonsettings'];
		unset($admin_areas['config']['areas']['addonsettings']);
		if (isset($admin_areas['members']['areas']['sengines']))
			$admin_areas['modification']['areas']['sengines'] = $admin_areas['members']['areas']['sengines'];
		unset($admin_areas['members']['areas']['sengines']);
		if (isset($admin_areas['maintenance']['areas']['mailqueue']))
			$admin_areas['modification']['areas']['mailqueue'] = $admin_areas['maintenance']['areas']['mailqueue'];
		unset($admin_areas['maintenance']['areas']['mailqueue']);

		if (isset($admin_areas['config']['areas']['theme']))
			$admin_areas['theme']['areas']['theme'] = $admin_areas['config']['areas']['theme'];
		unset($admin_areas['config']['areas']['theme']);
		if (isset($admin_areas['config']['areas']['current_theme']))
			$admin_areas['theme']['areas']['current_theme'] = $admin_areas['config']['areas']['current_theme'];
		unset($admin_areas['config']['areas']['current_theme']);
		if (isset($admin_areas['layout']['areas']['smileys']))
			$admin_areas['theme']['areas']['smileys'] = $admin_areas['layout']['areas']['smileys'];
		unset($admin_areas['layout']['areas']['smileys']);
		if (isset($admin_areas['layout']['areas']['manageattachments']))
			$admin_areas['theme']['areas']['manageattachments'] = $admin_areas['layout']['areas']['manageattachments'];
		unset($admin_areas['layout']['areas']['manageattachments']);

		// Pull Reports To Main Section
		if (isset($admin_areas['members']['areas']['permissions']))
			$admin_areas['maintenance']['areas']['permissions'] = $admin_areas['members']['areas']['permissions'];
		unset($admin_areas['members']['areas']['permissions']);
	}
}

function ROAM_Settings(&$config_vars)
{
	// Add setting(s)
	$roam = array(
			array('check', 'roam_enable'),
			'',
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $roam);
}
?>